com.informix.json

## Interface ObjectSerializer

All Known Implementing Classes:
  AbstractObjectSerializer, ClassMapBasedObjectSerializer, JSONSerializer

    public interface ObjectSerializer

Interface describing methods for serializing an object to a string.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `serialize(java.lang.Object obj)` Serializes `obj`.
`void` `serialize(java.lang.Object obj, java.lang.StringBuilder buf)` Serializes `obj` into `buf`.

### Method Detail

#### serialize

    void serialize(java.lang.Object obj,
                   java.lang.StringBuilder buf)

Serializes `obj` into `buf`.

Parameters:
  `obj` - object to serialize
  `buf` - buffer to serialize into

#### serialize

    java.lang.String serialize(java.lang.Object obj)

Serializes `obj`.

Parameters:
  `obj` - object to serialize
Returns:
  the serialized object